Replace a connection's secrets (staff)
POST /api/integrations/{id}/reconnect. Replace a connection's secrets (staff). Headless LMS Integrations API reference.
Staff only (owner, admin, instructor). The new secrets replace the stored ones.
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/integrations/string/reconnect" \ -H "Content-Type: application/json" \ -d '{ "secrets": { "property1": null, "property2": null } }'{ "orgId": "string", "id": "string", "integrationId": "string", "config": { "property1": null, "property2": null }, "active": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Disconnect an integration (staff) DELETE
DELETE /api/integrations/{id}. Disconnect an integration (staff). Headless LMS Integrations API reference.
Invoke one of a connection's actions (staff) POST
POST /api/integrations/{id}/actions/{actionId}. Invoke one of a connection's actions (staff). Headless LMS Integrations API reference.